#------------------------------------------------------------------------------
#$Author: andrius $
#$Date: 2020-01-16 07:48:22 -0500 (Thu, 16 Jan 2020) $ 
#$Revision: 5663 $
#$URL: svn://saulius-grazulis.lt/restful/tags/v0.14.0/lib/CSV.pm $
#------------------------------------------------------------------------------
#*
#  Parse and print CSV (Comma-Separated Value) data.
#**

# FIXME: probaly should be merged with 'Spreadsheet.pm'.

package CSV;
use warnings;
use strict;

use Text::CSV;

require Exporter;
our @ISA = qw( Exporter );
our @EXPORT_OK = qw(
    printf_csv_line
    sprintf_csv_line
);

sub printf_csv_line
{
    my ($columns, $csv) = @_;

    $csv = Text::CSV->new( { binary => 1 } ) unless $csv;
    $csv->print( *STDOUT, $columns ) ||
        warn 'Cannot print CSV line: '. $csv->error_diag . "\n";
}

sub sprintf_csv_line
{
    my ($columns, $csv) = @_;

    $csv = Text::CSV->new( { binary => 1 } ) unless $csv;
    $csv->combine( @$columns ) ||
        warn 'Cannot combine CSV line: '. $csv->error_diag . "\n";
    return $csv->string();
}

1;
